libzypp 17.37.10

zyppng::NonImportedKeysInfoEvent Namespace Reference

Notify the user about keys that were not imported from the rpm key database into zypp keyring. More...

## Functions
constexpr std::string_view | CTYPE ("keyring/keys-not-imported")
constexpr std::string_view | KEYS ("keys")
UserData | makeData (const std::set< zypp::Edition > &keys_r)

## Detailed Description

Notify the user about keys that were not imported from the rpm key database into zypp keyring.

Userdata fields: const std::set<Edition> * "Keys" set of keys that were not imported

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::NonImportedKeysInfoEvent::CTYPE | ( | "keyring/keys-not-imported" |  | ) |
| constexpr

## ◆ KEYS()

std::string_view zyppng::NonImportedKeysInfoEvent::KEYS | ( | "keys" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::NonImportedKeysInfoEvent::makeData | ( | const std::set< zypp::Edition > & | keys_r | ) |

Definition at line 103 of file userrequest.cc.